<template>
  <div>
    <back></back>
    <div v-for="(field, key) in config.description" :key="key">
      <item-form :node="node" :path="path" :field="key" :defaults="defaults"></item-form>
    </div>

    <pre>{{ config.description }}</pre>
    <!-- {{ fieldData }} -->
  </div>
</template>

<script>
// import _ from 'lodash'
// import { EDITABLE_SETTINGS_FIELD_CONFIG, EDITABLE_SETTINGS_FIELDS_MAPPING } from '@/components/Editable/config'

import { mapGetters, mapActions } from 'vuex'
import Back from '@/components/Editable/Utils/Back'

export default {
  components: {
    Back,
    ItemForm: () => import('./ItemForm.vue')
  },

  props: {
    node: {
      type: Object,
      required: true
    },
    path: {
      type: Array,
      required: true
    },
    // config: {
    //   type: Object,
    //   required: true
    // },
    defaults: {
      required: false
    }
  },

  data () {
    return {
    }
  },

  computed: {
    ...mapGetters({
      backPageTitle: 'Y3TI/backPageTitle',
      // getEditedField: 'Y3TI/getEditedField',
      getFieldConfig: 'Y3TI/getFieldConfig'
    }),

    config () {
      return this.getFieldConfig({ node: this.node, path: this.path })
    }
    // fieldData: {
    //   get () {
    //     // return _.get(this.$store.state.app.edited, this.editablePath)
    //     return this.getEditedField({ node: this.node, path: this.path })
    //   },
    //   set (value) {
    //     this.storeEditableFieldData({ data: { node: this.node, path: this.path, input: value } })
    //   }
    // }
    // componentSelection () {
    //   return this.getFieldsMapping(this.parentConfig, this.config)
    // }
    // editablePath () {
    //   return [ this.node._type, 'nid-' + this.node.nid, ...[this.config.path] ]
    // }
  },

  methods: {
    ...mapActions({
      backSidebarPage: 'Y3TI/backSidebarPage'
      // storeEditableFieldData: 'Y3TI/storeEditableFieldData'
    }),
    // getFieldsMapping: EDITABLE_SETTINGS_FIELDS_MAPPING,
    // getFieldOptions: EDITABLE_SETTINGS_FIELD_CONFIG,

    // selectComponent (key) {
    //   return this.getFieldsMapping(this.config, _.get(this.config, [ 'description', key ], {}))
    // },

    // getOptions (key) {
    //   return this.getFieldOptions(this.config, _.get(this.config, [ 'description', key ], {}))
    // },

    backPage () {
      return this.backSidebarPage()
    }
  }
}
</script>

<style lang="scss" scoped>
</style>
